<template>
  <div>
    <section class="primary" :style="{backgroundPosition: 'right bottom', backgroundSize: 'contain', backgroundImage:'url(' + require('@/assets/svg/banner.svg') + ')'}">
      <v-container class="d-flex flex-column align-start justify-center" style="height:400px">
        <div style="max-width:750px">
          <div class="text-h3 mb-5 white--text font-weight-bold text-center text-sm-left">Trouvez un professionnel animalier proche de chez vous</div>
          <SearchBar @search="handleSearch" />
        </div>
      </v-container>
    </section>
    <section>
      <v-container class="my-5">
        <v-flex class="d-flex justify-center align-center mx-auto alert-covid px-8 py-5">
          <v-img src="@/assets/images/covid-dog.png" max-width="100" class="mr-7" /> 
          <div>
            <h6 class="text-h6 mb-3">Informations relatives au COVID-19</h6>
            Tous nos professionnels mettent tout en oeuvre pour nous proteger du COVID-19 en suivant des protocoles sanitaires stricts dans leurs cabinets.<br>
            Le <b>port du masque</b> y est <b>obligatoire</b> pour tous.
          </div>
        </v-flex>
      </v-container>
    </section>
    <section>
      <v-container class="my-5">
        <h2 class="text-h4 my-5 py-5 text-center">Comment fonctionne Vetvite ?</h2>
        <v-row>
          <v-col class="text-center">
            <v-img src="@/assets/svg/online.svg" width="100" class="mx-auto mb-5"/>
            Prenez rendez vous en ligne, <b>24h/24 et 7j/7</b>, parmi des milliers de professionnels.
          </v-col>
          <v-col class="text-center">
            <v-img src="@/assets/svg/phone-call.svg" width="100" class="mx-auto mb-5"/>
            Gérez vos rendez-vous et recevez des <b>rappels automatiques</b>.
          </v-col>
          <v-col class="text-center">
            <v-img src="@/assets/svg/veterinarian.svg" width="100" class="mx-auto mb-5"/>
            Rencontrez les professionnels directement dans <b>leurs cabinets</b>.
          </v-col>
          <v-col class="text-center">
            <v-img src="@/assets/svg/consultation.svg" width="100" class="mx-auto mb-5"/>
            Retrouvez votre <b>historique de rendez-vous</b> et vos <b>documents médicaux</b>.  
          </v-col>
        </v-row>
      </v-container>
    </section>
    <section class="mb-15 mt-5">
      <v-container>
        <h2 class="text-h5 my-5 text-center">Prenez rendez-vous avec un de nos 2000 professionnels</h2>
        <v-slide-group show-arrows>
          <v-slide-item
            v-for="(protype, index) in prosType"
            :key="index"
          >
            <v-card
              :color="'grey lighten-1'"
              class="ma-4 d-flex justify-center align-center"
              height="120"
              width="240"
              :to="{name: 'Search', query: {q: protype.searchQuery}}"
            >
             <v-img
                class="white--text align-center"
                height="120px"
                gradient="to top right, rgba(0,0,0,.7), rgba(0,0,0,.7)"
                :src="protype.image"
                :lazy-src="protype.image"
              >
                <div class="pa-3 text-center text-h5">
                  {{protype.name}}
                </div>
              </v-img>
            </v-card>
          </v-slide-item>
        </v-slide-group>
      </v-container>
    </section>
  </div>
</template>

<script>
import SearchBar from "@/components/SearchBar";

export default {
  name: 'Home',
  components: {
    SearchBar,
  },
  data(){
    return {
      prosType: [
        {name: 'Vétérinaire', searchQuery: 'vétérinaire', image: 'https://www.cidj.com/sites/default/files/styles/teaser_list_1c/public/2020-05/veterinaire.jpg?itok=r-PWrU3C'},
        {name: 'Maître-chien', searchQuery: 'maître-chien', image: 'https://www.cidj.com/sites/default/files/styles/teaser_list_1c/public/2019-05/maitre-chiens.jpg?itok=ryBdGyb0'},
        {name: "Toiletteur d'animaux", searchQuery: 'toilette', image: 'https://www.cidj.com/sites/default/files/styles/teaser_list_1c/public/2018-08/toiletteur-d-animaux-fotolia.jpg?itok=6SuDPnAa'},
        {name: 'Comportementaliste animalier', searchQuery: 'comportementalise', image: 'https://www.cidj.com/sites/default/files/styles/teaser_list_1c/public/2019-09/ethologue-comportementaliste.jpg?itok=wCQwIWwN'},
        {name: "Educateur canin", searchQuery: 'educateur', image: 'https://www.cidj.com/sites/default/files/styles/teaser_list_1c/public/2019-08/educateur-canin.jpg?itok=fLS78BKb'},
        {name: "Educateur de chiens guides d'aveugles", searchQuery: 'educateur', image: 'https://www.cidj.com/sites/default/files/styles/teaser_list_1c/public/2019-10/educateur-chiens-guides.jpg?itok=nMKFJpK1'},
        {name: 'Animalier de laboratoire', searchQuery: 'animalier', image: 'https://www.cidj.com/sites/default/files/styles/teaser_list_1c/public/2018-08/animalier-de-laboratoire.jpg?itok=64N-5nfp'},
        {name: 'Conseiller en élevage', searchQuery: 'conseiller', image: 'https://www.cidj.com/sites/default/files/styles/teaser_list_1c/public/2020-09/conseiller-en-elevage.jpg?itok=XBfW7JoZ'},
        {name: 'Aquaculteur', searchQuery: 'aquaculteur', image: 'https://www.cidj.com/sites/default/files/styles/teaser_list_1c/public/2018-08/aquaculteur-milada-vigerova.jpg?itok=XUeVUOW1'},
      ]
    }
  },
  methods: {
    handleSearch(query){
      this.$router.push({path: '/search', query:{q: query}});
    }
  }
}
</script>

<style scoped>
  .alert-covid{
    max-width:800px;
    background: #dbefff;
    color: #1767a7;
  }
</style>

